Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.compare
Class CalendarComparator

    java.lang.Object
      org.hibernate.internal.util.compare.CalendarComparator

All Implemented Interfaces:
  Comparator<Calendar>

    public class CalendarComparator

extends Object
implements Comparator<Calendar>

Field Summary
`static CalendarComparator` | `INSTANCE`

Constructor Summary
`CalendarComparator()`

Method Summary
`int` | `compare(Calendar x, Calendar y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INSTANCE

    public static final CalendarComparator INSTANCE

Constructor Detail

### CalendarComparator

    public CalendarComparator()

Method Detail

### compare

    public int compare(Calendar x,
                       Calendar y)

  Specified by:
    `compare` in interface `Comparator<Calendar>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.